Skip to main content
POST
This also answers GET /v1/search/research/papers, with the same fields as query parameters.

Price

$0.001 for each 10 results; no results cost nothing. See Pricing.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
query
string
required
Minimum string length: 1
k
integer
default:40

How many results to return.

Required range: 1 <= x <= 500
authors
string

Only papers with an author whose name has this.

from
string<date>
to
string<date>
sort
enum<string>
default:relevance
Available options:
relevance,
date_desc

Response

The results.

success
any
required
creditsUsed
integer
required
costUsd
number
required

What this call cost, in dollars.

requestId
string
required
results
object[]